ZF2-542: Fatal Error glob()

Issue Type: Bug Created: 2012-09-10T19:17:07.000+0000 Last Updated: 2012-09-10T22:35:46.000+0000 Status: Resolved Fix version(s): Reporter: Simon Zwicker (4r3n) Assignee: Matthew Weier O'Phinney (matthew) Tags: - Zend\Stdlib

Related issues: Attachments:



i get this error and i have no idea how to fix it

Fatal error: Constructor Zend\Stdlib\Glob::glob() cannot be static in /Applications/XAMPP/xamppfiles/htdocs/projectname/vendor/zendframework/zendframework/library/Zend/Stdlib/Glob.php on line 197

i use XAMPP 1.7.3 with PHP 5.3.1 under MacOS X Mountain Lion (newest update) also with Windows 7 and the same XAMPP Version it don't work.

thanks for comments




Posted by Fred (topgear) on 2012-09-10T19:28:27.000+0000

Hi Simon Updating PHP version might help. Github repo says: "Zend Framework 2 requires PHP 5.3.3 or later; we recommend using the latest PHP version whenever possible."

Posted by Matthew Weier O'Phinney (matthew) on 2012-09-10T21:25:35.000+0000

This is actually one of the reasons for the minimum version being 5.3.3 -- this sort of issue was fixed in that version.

Posted by Simon Zwicker (4r3n) on 2012-09-10T22:35:46.000+0000

thanks, now i have installed MAMP with the new PHP Version and it works :) XAMPP is not updated for MAC :P

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.